/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
!function e(t,n,r){function a(o,s){if(!n[o]){if(!t[o]){var l="function"==typeof require&&require;if(!s&&l)return l(o,!0);if(i)return i(o,!0);var u=new Error("Cannot find module '"+o+"'");throw u.code="MODULE_NOT_FOUND",u}var d=n[o]={exports:{}};t[o][0].call(d.exports,function(e){var n=t[o][1][e];return a(n||e)},d,d.exports,e,t,n,r)}return n[o].exports}for(var i="function"==typeof require&&require,o=0;o<r.length;o++)a(r[o]);return a}({1:[function(e,t,n){},{}],2:[function(e,t,n){(function(n){var r,a=void 0!==n?n:"undefined"!=typeof window?window:{},i=e(1);"undefined"!=typeof document?r=document:(r=a["__GLOBAL_DOCUMENT_CACHE@4"])||(r=a["__GLOBAL_DOCUMENT_CACHE@4"]=i),t.exports=r}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{1:1}],3:[function(e,t,n){(function(e){var n;n="undefined"!=typeof window?window:void 0!==e?e:"undefined"!=typeof self?self:{},t.exports=n}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{}],4:[function(e,t,n){!function(e){function n(){}function r(e,t){return function(){e.apply(t,arguments)}}function a(e){if("object"!=typeof this)throw new TypeError("Promises must be constructed via new");if("function"!=typeof e)throw new TypeError("not a function");this._state=0,this._handled=!1,this._value=void 0,this._deferreds=[],d(e,this)}function i(e,t){for(;3===e._state;)e=e._value;0!==e._state?(e._handled=!0,a._immediateFn(function(){var n=1===e._state?t.onFulfilled:t.onRejected;if(null!==n){var r;try{r=n(e._value)}catch(e){return void s(t.promise,e)}o(t.promise,r)}else(1===e._state?o:s)(t.promise,e._value)})):e._deferreds.push(t)}function o(e,t){try{if(t===e)throw new TypeError("A promise cannot be resolved with itself.");if(t&&("object"==typeof t||"function"==typeof t)){var n=t.then;if(t instanceof a)return e._state=3,e._value=t,void l(e);if("function"==typeof n)return void d(r(n,t),e)}e._state=1,e._value=t,l(e)}catch(t){s(e,t)}}function s(e,t){e._state=2,e._value=t,l(e)}function l(e){2===e._state&&0===e._deferreds.length&&a._immediateFn(function(){e._handled||a._unhandledRejectionFn(e._value)});for(var t=0,n=e._deferreds.length;t<n;t++)i(e,e._deferreds[t]);e._deferreds=null}function u(e,t,n){this.onFulfilled="function"==typeof e?e:null,this.onRejected="function"==typeof t?t:null,this.promise=n}function d(e,t){var n=!1;try{e(function(e){n||(n=!0,o(t,e))},function(e){n||(n=!0,s(t,e))})}catch(e){if(n)return;n=!0,s(t,e)}}var c=setTimeout;a.prototype.catch=function(e){return this.then(null,e)},a.prototype.then=function(e,t){var r=new this.constructor(n);return i(this,new u(e,t,r)),r},a.all=function(e){var t=Array.prototype.slice.call(e);return new a(function(e,n){function r(i,o){try{if(o&&("object"==typeof o||"function"==typeof o)){var s=o.then;if("function"==typeof s)return void s.call(o,function(e){r(i,e)},n)}t[i]=o,0==--a&&e(t)}catch(e){n(e)}}if(0===t.length)return e([]);for(var a=t.length,i=0;i<t.length;i++)r(i,t[i])})},a.resolve=function(e){return e&&"object"==typeof e&&e.constructor===a?e:new a(function(t){t(e)})},a.reject=function(e){return new a(function(t,n){n(e)})},a.race=function(e){return new a(function(t,n){for(var r=0,a=e.length;r<a;r++)e[r].then(t,n)})},a._immediateFn="function"==typeof setImmediate&&function(e){setImmediate(e)}||function(e){c(e,0)},a._unhandledRejectionFn=function(e){"undefined"!=typeof console&&console&&console.warn("Possible Unhandled Promise Rejection:",e)},a._setImmediateFn=function(e){a._immediateFn=e},a._setUnhandledRejectionFn=function(e){a._unhandledRejectionFn=e},void 0!==t&&t.exports?t.exports=a:e.Promise||(e.Promise=a)}(this)},{}],5:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function a(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(n,"__esModule",{value:!0});var i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(e(3)),s=r(e(2)),l=r(e(6)),u=e(16),d=e(17),c=e(7),f=e(14),m=function e(t,n,r){var m=this;a(this,e);var p=this;r=Array.isArray(r)?r:null,p.defaults={renderers:[],fakeNodeName:"mediaelementwrapper",pluginPath:"build/",shimScriptAccess:"sameDomain"},n=Object.assign(p.defaults,n),p.mediaElement=s.default.createElement(n.fakeNodeName);var v=t,h=!1;if("string"==typeof t?p.mediaElement.originalNode=s.default.getElementById(t):(p.mediaElement.originalNode=t,v=t.id),void 0===p.mediaElement.originalNode||null===p.mediaElement.originalNode)return null;p.mediaElement.options=n,v=v||"mejs_"+Math.random().toString().slice(2),p.mediaElement.originalNode.setAttribute("id",v+"_from_mejs");var y=p.mediaElement.originalNode.tagName.toLowerCase();["video","audio"].indexOf(y)>-1&&!p.mediaElement.originalNode.getAttribute("preload")&&p.mediaElement.originalNode.setAttribute("preload","none"),p.mediaElement.originalNode.parentNode.insertBefore(p.mediaElement,p.mediaElement.originalNode),p.mediaElement.appendChild(p.mediaElement.originalNode);var g=function(e,t){if("https:"===o.default.location.protocol&&0===e.indexOf("http:")&&f.IS_IOS&&l.default.html5media.mediaTypes.indexOf(t)>-1){var n=new XMLHttpRequest;n.onreadystatechange=function(){if(4===this.readyState&&200===this.status){var t=(o.default.URL||o.default.webkitURL).createObjectURL(this.response);return p.mediaElement.originalNode.setAttribute("src",t),t}return e},n.open("GET",e),n.responseType="blob",n.send()}return e},E=void 0;if(null!==r)E=r;else if(null!==p.mediaElement.originalNode)switch(E=[],p.mediaElement.originalNode.nodeName.toLowerCase()){case"iframe":E.push({type:"",src:p.mediaElement.originalNode.getAttribute("src")});break;case"audio":case"video":var b=p.mediaElement.originalNode.children.length,w=p.mediaElement.originalNode.getAttribute("src");if(w){var _=p.mediaElement.originalNode,S=(0,d.formatType)(w,_.getAttribute("type"));E.push({type:S,src:g(w,S)})}for(var N=0;N<b;N++){var T=p.mediaElement.originalNode.children[N];if("source"===T.tagName.toLowerCase()){var A=T.getAttribute("src"),F=(0,d.formatType)(A,T.getAttribute("type"));E.push({type:F,src:g(A,F)})}}}p.mediaElement.id=v,p.mediaElement.renderers={},p.mediaElement.promises=[],p.mediaElement.renderer=null,p.mediaElement.rendererName=null,p.mediaElement.changeRenderer=function(e,t){var n=m,r=Object.keys(t[0]).length>2?t[0]:t[0].src;if(void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&n.mediaElement.renderer.name===e)return n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.show(),n.mediaElement.renderer.setSrc(r),!0;void 0!==n.mediaElement.renderer&&null!==n.mediaElement.renderer&&(n.mediaElement.renderer.pause(),n.mediaElement.renderer.stop&&n.mediaElement.renderer.stop(),n.mediaElement.renderer.hide());var a=n.mediaElement.renderers[e],i=null;if(void 0!==a&&null!==a)return a.show(),a.setSrc(r),n.mediaElement.renderer=a,n.mediaElement.rendererName=e,!0;for(var o=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:c.renderer.order,s=0,l=o.length;s<l;s++){var u=o[s];if(u===e){i=c.renderer.renderers[u];var d=Object.assign(i.options,n.mediaElement.options);return a=i.create(n.mediaElement,d,t),a.name=e,n.mediaElement.renderers[i.name]=a,n.mediaElement.renderer=a,n.mediaElement.rendererName=e,a.show(),!0}}return!1},p.mediaElement.setSize=function(e,t){void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&p.mediaElement.renderer.setSize(e,t)},p.mediaElement.generateError=function(e,t){e=e||"",t=Array.isArray(t)?t:[];var n=(0,u.createEvent)("error",p.mediaElement);n.message=e,n.urls=t,p.mediaElement.dispatchEvent(n),h=!0};var I=l.default.html5media.properties,L=l.default.html5media.methods,U=function(e,t,n,r){var a=e[t];Object.defineProperty(e,t,{get:function(){return n.apply(e,[a])},set:function(t){return a=r.apply(e,[t])}})},j=function(){return void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer?p.mediaElement.renderer.getSrc():null},O=function(e){var t=[];if("string"==typeof e)t.push({src:e,type:e?(0,d.getTypeFromFile)(e):""});else if("object"===(void 0===e?"undefined":i(e))&&void 0!==e.src){var n=(0,d.absolutizeUrl)(e.src),r=e.type,a=Object.assign(e,{src:n,type:""!==r&&null!==r&&void 0!==r||!n?r:(0,d.getTypeFromFile)(n)});t.push(a)}else if(Array.isArray(e))for(var o=0,s=e.length;o<s;o++){var l=(0,d.absolutizeUrl)(e[o].src),f=e[o].type,m=Object.assign(e[o],{src:l,type:""!==f&&null!==f&&void 0!==f||!l?f:(0,d.getTypeFromFile)(l)});t.push(m)}var v=c.renderer.select(t,p.mediaElement.options.renderers.length?p.mediaElement.options.renderers:[]),h=void 0;if(p.mediaElement.paused||null==p.mediaElement.src||""===p.mediaElement.src||(p.mediaElement.pause(),h=(0,u.createEvent)("pause",p.mediaElement),p.mediaElement.dispatchEvent(h)),p.mediaElement.originalNode.src=t[0].src||"",null!==v||!t[0].src)return!(null==t[0].src||""===t[0].src)?p.mediaElement.changeRenderer(v.rendererName,t):null;setTimeout(function(){p.mediaElement.generateError("No renderer found",t)})},P=function(e,t){try{if("play"!==e||"native_dash"!==p.mediaElement.rendererName&&"native_hls"!==p.mediaElement.rendererName&&"vimeo_iframe"!==p.mediaElement.rendererName)p.mediaElement.renderer[e](t);else{var n=p.mediaElement.renderer[e](t);n&&"function"==typeof n.then&&n.catch(function(){p.mediaElement.paused&&setTimeout(function(){var e=p.mediaElement.renderer.play();void 0!==e&&e.catch(function(){p.mediaElement.renderer.paused||p.mediaElement.renderer.pause()})},150)})}}catch(e){p.mediaElement.generateError(e,E)}};U(p.mediaElement,"src",j,O),p.mediaElement.getSrc=j,p.mediaElement.setSrc=O;for(var C=0,x=I.length;C<x;C++)!function(e){if("src"!==e){var t=""+e.substring(0,1).toUpperCase()+e.substring(1),n=function(){return void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer["get"+t]?p.mediaElement.renderer["get"+t]():null},r=function(e){void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer["set"+t]&&p.mediaElement.renderer["set"+t](e)};U(p.mediaElement,e,n,r),p.mediaElement["get"+t]=n,p.mediaElement["set"+t]=r}}(I[C]);for(var k=0,M=L.length;k<M;k++)!function(e){p.mediaElement[e]=function(){for(var t=arguments.length,n=Array(t),r=0;r<t;r++)n[r]=arguments[r];return void 0!==p.mediaElement.renderer&&null!==p.mediaElement.renderer&&"function"==typeof p.mediaElement.renderer[e]&&(p.mediaElement.promises.length?Promise.all(p.mediaElement.promises).then(function(){P(e,n)}).catch(function(e){p.mediaElement.generateError(e,E)}):P(e,n)),null}}(L[k]);return p.mediaElement.destroy=function(){var e=p.mediaElement.originalNode.cloneNode(!0),t=p.mediaElement.parentElement;e.removeAttribute("id"),e.remove(),p.mediaElement.remove(),t.appendChild(e)},E.length&&(p.mediaElement.src=E),p.mediaElement.promises.length?Promise.all(p.mediaElement.promises).then(function(){p.mediaElement.options.success&&p.mediaElement.options.success(p.mediaElement,p.mediaElement.originalNode)}).catch(function(){h&&p.mediaElement.options.error&&p.mediaElement.options.error(p.mediaElement,p.mediaElement.originalNode)}):(p.mediaElement.options.success&&p.mediaElement.options.success(p.mediaElement,p.mediaElement.originalNode),h&&p.mediaElement.options.error&&p.mediaElement.options.error(p.mediaElement,p.mediaElement.originalNode)),p.mediaElement};o.default.MediaElement=m,l.default.MediaElement=m,n.default=m},{14:14,16:16,17:17,2:2,3:3,6:6,7:7}],6:[function(e,t,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(e){return e&&e.__esModule?e:{default:e}}(e(3)),a={};a.version="4.2.16",a.html5media={properties:["volume","src","currentTime","muted","duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable","videoWidth","videoHeight","currentSrc","preload","bufferedBytes","bufferedTime","initialTime","startOffsetTime","defaultPlaybackRate","playbackRate","played","autoplay","loop","controls"],readOnlyProperties:["duration","paused","ended","buffered","error","networkState","readyState","seeking","seekable","videoWidth","videoHeight"],methods:["load","play","pause","canPlayType"],events:["loadstart","durationchange","loadedmetadata","loadeddata","progress","canplay","canplaythrough","suspend","abort","error","emptied","stalled","play","playing","pause","waiting","seeking","seeked","timeupdate","ended","ratechange","volumechange","resize"],mouseEvents:["click","dblclick","mouseover","mouseout"],mediaTypes:["audio/mp3","audio/ogg","audio/oga","audio/wav","audio/x-wav","audio/wave","audio/x-pn-wav","audio/mpeg","audio/mp4","video/mp4","video/webm","video/ogg","video/ogv"]},r.default.mejs=a,n.default=a},{3:3}],7:[function(e,t,n){"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(n,"__esModule",{value:!0}),n.renderer=void 0;var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=function(){function e(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}return function(t,n,r){return n&&e(t.prototype,n),r&&e(t,r),t}}(),o=function(e){return e&&e.__esModule?e:{default:e}}(e(6)),s=function(){function e(){r(this,e),this.renderers={},this.order=[]}return i(e,[{key:"add",value:function(e){if(void 0===e.name)throw new TypeError("renderer must contain at least `name` property");this.renderers[e.name]=e,this.order.push(e.name)}},{key:"select",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],n=t.length;if(t=t.length?t:this.order,!n){var r=[/^(html5|native)/i,/^flash/i,/iframe$/i],a=function(e){for(var t=0,n=r.length;t<n;t++)if(r[t].test(e))return t;return r.length};t.sort(function(e,t){return a(e)-a(t)})}for(var i=0,o=e.length;i<o;i++)for(var s=0,l=t.length;s<l;s++){var u=t[s],d=this.renderers[u];if(null!==d&&void 0!==d&&"function"==typeof d.canPlayType&&"string"==typeof e[i].type&&d.canPlayType(e[i].type))return{rendererName:d.name,src:e[i].src}}return null}},{key:"order",set:function(e){if(!Array.isArray(e))throw new TypeError("order must be an array of strings.");this._order=e},get:function(){return this._order}},{key:"renderers",set:function(e){if(null!==e&&"object"!==(void 0===e?"undefined":a(e)))throw new TypeError("renderers must be an array of objects.");this._renderers=e},get:function(){return this._renderers}}]),e}(),l=n.renderer=new s;o.default.Renderers=l},{6:6}],8:[function(e,t,n){"use strict";var r={isSDKStarted:!1,isSDKLoaded:!1,iframeQueue:[],enqueueIframe:function(e){r.isLoaded?r.createIframe(e):(r.loadIframeApi(),r.iframeQueue.push(e))},loadIframeApi:function(){r.isSDKStarted||(mejs.Utils.loadScript("https://api.dmcdn.net/all.js"),r.isSDKStarted=!0)},apiReady:function(){for(r.isLoaded=!0,r.isSDKLoaded=!0;r.iframeQueue.length>0;){var e=r.iframeQueue.pop();DM.init({apiKey:e.apiKey,status:e.status,cookie:e.cookie}),r.createIframe(e)}},createIframe:function(e){var t=DM.player(e.container,{height:e.height||"100%",width:e.width||"100%",video:e.videoId,params:Object.assign({api:!0},e.params),origin:location.host});t.addEventListener("apiready",function(){window["__ready__"+e.id](t,{paused:!0,ended:!1})})},getDailyMotionId:function(e){var t=e.split("/");return t[t.length-1].split("_")[0]}},a={name:"dailymotion_iframe",options:{prefix:"dailymotion_iframe",dailymotion:{width:"100%",height:"100%",params:{autoplay:!1,chromeless:1,info:0,logo:0,related:0},apiKey:null,status:!0,cookie:!0}},canPlayType:function(e){return~["video/dailymotion","video/x-dailymotion"].indexOf(e.toLowerCase())},create:function(e,t,n){var a={},i=[],o=void 0,s=null,l=null,u=e.originalNode.muted;a.options=t,a.id=e.id+"_"+t.prefix,a.mediaElement=e;for(var d=mejs.html5media.properties,c=0,f=d.length;c<f;c++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);a["get"+n]=function(){if(null!==s){switch(t){case"currentTime":return s.currentTime;case"duration":return isNaN(s.duration)?0:s.duration;case"volume":return s.volume;case"paused":return s.paused;case"ended":return s.ended;case"muted":return u=s.muted;case"buffered":var n=s.bufferedTime,r=s.duration;return{start:function(){return 0},end:function(){return n/r},length:1};case"src":return e.originalNode.getAttribute("src");case"readyState":return 4}return null}return null},a["set"+n]=function(n){if(null!==s)switch(t){case"src":var o="string"==typeof n?n:n[0].src;s.load(r.getDailyMotionId(o));break;case"currentTime":s.seek(n);break;case"muted":!0===n&&s.setVolume(0),s.setMuted(n),u=n,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)},50);break;case"volume":s.setVolume(n),0!==n||s.muted?n>0&&s.muted&&(s.setMuted(!1),u=!1):(s.setMuted(!0),u=!0),setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)},50);break;case"readyState":var l=mejs.Utils.createEvent("canplay",a);e.dispatchEvent(l)}else i.push({type:"set",propName:t,value:n})}}(d[c]);for(var m=mejs.html5media.methods,p=0,v=m.length;p<v;p++)!function(e){a[e]=function(){if(null!==s)switch(e){case"play":return s.play();case"pause":return s.pause();case"load":return null}else i.push({type:"call",methodName:e})}}(m[p]);window["__ready__"+a.id]=function(t){if(e.dmPlayer=s=t,i.length)for(var n=0,r=i.length;n<r;n++){var u=i[n];if("set"===u.type){var d=u.propName,c=""+d.substring(0,1).toUpperCase()+d.substring(1);a["set"+c](u.value)}else"call"===u.type&&a[u.methodName]()}l=document.getElementById(a.id);for(var f=0,m=(o=["mouseover","mouseout"]).length;f<m;f++)l.addEventListener(o[f],function(t){var n=mejs.Utils.createEvent(t.type,a);e.dispatchEvent(n)},!1);e.originalNode.muted?(s.setVolume(0),s.setMuted(!0)):(s.setVolume(s.volume),s.setMuted(!1)),o=mejs.html5media.events;for(var p=0,v=(o=o.concat(mejs.html5media.mouseEvents)).length;p<v;p++)!function(t){"ended"!==t&&s.addEventListener(t,function(t){var n=mejs.Utils.createEvent(t.type,a);e.dispatchEvent(n)})}(o[p]);s.addEventListener("ad_start",function(){var t=mejs.Utils.createEvent("play",a);e.dispatchEvent(t),t=mejs.Utils.createEvent("progress",a),e.dispatchEvent(t),t=mejs.Utils.createEvent("timeupdate",a),e.dispatchEvent(t)}),s.addEventListener("ad_timeupdate",function(){var t=mejs.Utils.createEvent("timeupdate",a);e.dispatchEvent(t)}),s.addEventListener("ad_pause",function(){var t=mejs.Utils.createEvent("pause",a);e.dispatchEvent(t)}),s.addEventListener("start",function(){if(s.muted){var t=mejs.Utils.createEvent("volumechange",a);e.dispatchEvent(t)}}),s.addEventListener("video_start",function(){var t=mejs.Utils.createEvent("play",a);e.dispatchEvent(t);var n=mejs.Utils.createEvent("playing",a);e.dispatchEvent(n)}),s.addEventListener("ad_timeupdate",function(){var t=mejs.Utils.createEvent("timeupdate",a);e.dispatchEvent(t)}),s.addEventListener("video_end",function(){var t=mejs.Utils.createEvent("ended",a);e.dispatchEvent(t),e.originalNode.getAttribute("loop")&&s.play()}),s.addEventListener("qualitiesavailable",function(){var t=mejs.Utils.createEvent("me-qualitiesavailable",a);e.dispatchEvent(t)}),s.addEventListener("qualitychange",function(){var t=mejs.Utils.createEvent("me-qualitychange",a);e.dispatchEvent(t)});for(var h=["rendererready","loadedmetadata","loadeddata","canplay"],y=0,g=h.length;y<g;y++){var E=mejs.Utils.createEvent(h[y],a);e.dispatchEvent(E)}};var h=document.createElement("div");h.id=a.id,e.appendChild(h),e.originalNode&&(h.style.width=e.originalNode.style.width,h.style.height=e.originalNode.style.height),e.originalNode.style.display="none";var y=r.getDailyMotionId(n[0].src),g={id:a.id,container:h,videoId:y};return g.params=Object.assign({},a.options.dailymotion),g.params.controls=!!e.originalNode.controls,e.originalNode.autoplay&&(g.params.autoplay=!0),e.originalNode.muted&&(g.params.mute=!0),g.params.api="1",r.enqueueIframe(g),a.hide=function(){a.pause(),l&&(l.style.display="none")},a.show=function(){l&&(l.style.display="")},a.setSize=function(e,t){l&&(l.width=e,l.height=t)},a.destroy=function(){s.destroy()},a.getQualities=function(){return s.qualities.length<2?[]:s.qualities.map(function(e){return{label:e+"p",value:e}})},a.getQuality=function(){return s.quality},a.setQuality=function(e){s.setQuality(e)},a}};mejs.Utils.typeChecks.push(function(e){return/\/\/((www\.)?dailymotion\.com|dai\.ly)/i.test(e)?"video/x-dailymotion":null}),window.dmAsyncInit=function(){r.apiReady()},mejs.Renderers.add(a)},{}],9:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=r(e(3)),o=r(e(6)),s=e(7),l=e(16),u=e(17),d=e(14),c=e(15),f={promise:null,load:function(e){return"undefined"!=typeof dashjs?f.promise=new Promise(function(e){e()}).then(function(){f._createPlayer(e)}):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.dashjs.org/latest/dash.all.min.js",f.promise=f.promise||(0,c.loadScript)(e.options.path),f.promise.then(function(){f._createPlayer(e)})),f.promise},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();return i.default["__ready__"+e.id](t),t}},m={name:"native_dash",options:{prefix:"native_dash",dash:{path:"https://cdn.dashjs.org/latest/dash.all.min.js",debug:!1,drm:{},robustnessLevel:""}},canPlayType:function(e){return d.HAS_MSE&&["application/dash+xml"].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var r=e.originalNode,u=e.id+"_"+t.prefix,d=r.autoplay,c=r.children,m=null,p=null;r.removeAttribute("type");for(var v=0,h=c.length;v<h;v++)c[v].removeAttribute("type");m=r.cloneNode(!0),t=Object.assign(t,e.options);for(var y=o.default.html5media.properties,g=o.default.html5media.events.concat(o.default.html5media.mouseEvents).filter(function(e){return"error"!==e}),E=function(t){var n=(0,l.createEvent)(t.type,e);e.dispatchEvent(n)},b=0,w=y.length;b<w;b++)!function(e){var n=""+e.substring(0,1).toUpperCase()+e.substring(1);m["get"+n]=function(){return"readyState"==e?null!==p?m[e]:0:null!==p?m[e]:null},m["set"+n]=function(n){if(-1===o.default.html5media.readOnlyProperties.indexOf(e))if("src"===e){var r="object"===(void 0===n?"undefined":a(n))&&n.src?n.src:n;if(m[e]=r,null!==p){p.reset();for(var i=0,s=g.length;i<s;i++)m.removeEventListener(g[i],E);p=f._createPlayer({options:t.dash,id:u}),n&&"object"===(void 0===n?"undefined":a(n))&&"object"===a(n.drm)&&(p.setProtectionData(n.drm),(0,l.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel&&p.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)),p.attachSource(r),d&&p.play()}}else m[e]=n}}(y[b]);if(i.default["__ready__"+u]=function(n){e.dashPlayer=p=n;for(var r=dashjs.MediaPlayer.events,i=0,s=g.length;i<s;i++)!function(e){"loadedmetadata"===e&&(p.initialize(),p.attachView(m),p.setAutoPlay(!1),"object"!==a(t.dash.drm)||o.default.Utils.isObjectEmpty(t.dash.drm)||(p.setProtectionData(t.dash.drm),(0,l.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel&&p.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)),p.attachSource(m.getSrc())),m.addEventListener(e,E)}(g[i]);var u=function(t){if("error"===t.type.toLowerCase())e.generateError(t.message,m.src),console.error(t);else{if("qualityChangeRequested"==t.type){var n=(0,l.createEvent)("me-qualitychange",e);e.dispatchEvent(n)}var r=(0,l.createEvent)(t.type,e);r.data=t,e.dispatchEvent(r)}};for(var d in r)r.hasOwnProperty(d)&&p.on(r[d],function(e){return u(e)})},n&&n.length>0)for(var _=0,S=n.length;_<S;_++)if(s.renderer.renderers[t.prefix].canPlayType(n[_].type)){m.setAttribute("src",n[_].src),void 0!==n[_].drm&&(t.dash.drm=n[_].drm);break}m.setAttribute("id",u),r.parentNode.insertBefore(m,r),r.autoplay=!1,r.style.display="none",m.setSize=function(e,t){return m.style.width=e+"px",m.style.height=t+"px",m},m.hide=function(){return m.pause(),m.style.display="none",m},m.show=function(){return m.style.display="",m},m.destroy=function(){null!==p&&p.reset()},m.getQualities=function(){var e=[],t=p.getBitrateInfoListFor("video");if(t.length<2)return e;for(var n=0,r=t.length;n<r;n++){var a=t[n];e.push({label:a.height+"p",value:a.qualityIndex,height:a.height})}return e.sort(function(e,t){return t.height-e.height}),e.push({label:"Auto",value:-1}),e},m.getQuality=function(){return p.getSettings().streaming.abr.autoSwitchBitrate.video?-1:p.getQualityFor("video")},m.setQuality=function(e){p.updateSettings({streaming:{abr:{autoSwitchBitrate:{video:-1==e}}}}),-1!=e&&p.setQualityFor("video",e)};var N=(0,l.createEvent)("rendererready",m);return e.dispatchEvent(N),e.promises.push(f.load({options:t.dash,id:u})),m}};u.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".mpd")?"application/dash+xml":null}),s.renderer.add(m)},{14:14,15:15,16:16,17:17,3:3,6:6,7:7}],10:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},i=r(e(3)),o=r(e(6)),s=e(7),l=e(16),u=e(14),d=e(17),c=e(15),f={promise:null,load:function(e){return"undefined"!=typeof Hls?f.promise=new Promise(function(e){e()}).then(function(){f._createPlayer(e)}):(e.options.path="string"==typeof e.options.path?e.options.path:"https://cdn.jsdelivr.net/npm/hls.js@latest",f.promise=f.promise||(0,c.loadScript)(e.options.path),f.promise.then(function(){f._createPlayer(e)})),f.promise},_createPlayer:function(e){var t=new Hls(e.options);return i.default["__ready__"+e.id](t),t}},m={name:"native_hls",options:{prefix:"native_hls",hls:{path:"https://cdn.jsdelivr.net/npm/hls.js@0.13.2",autoStartLoad:!1,debug:!1}},canPlayType:function(e){return u.HAS_MSE&&["application/x-mpegurl","application/vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var r=e.originalNode,u=e.id+"_"+t.prefix,d=r.getAttribute("preload"),c=r.autoplay,m=null,p=null,v=0,h=n.length;p=r.cloneNode(!0),(t=Object.assign(t,e.options)).hls.autoStartLoad=d&&"none"!==d||c;for(var y=o.default.html5media.properties,g=o.default.html5media.events.concat(o.default.html5media.mouseEvents).filter(function(e){return"error"!==e}),E=function(t){var n=(0,l.createEvent)(t.type,e);e.dispatchEvent(n)},b=0,w=y.length;b<w;b++)!function(e){var n=""+e.substring(0,1).toUpperCase()+e.substring(1);p["get"+n]=function(){return"readyState"==e?null!==m?p[e]:0:null!==m?p[e]:null},p["set"+n]=function(n){if(-1===o.default.html5media.readOnlyProperties.indexOf(e))if("src"===e){if(p[e]="object"===(void 0===n?"undefined":a(n))&&n.src?n.src:n,null!==m){m.destroy();for(var r=0,i=g.length;r<i;r++)p.removeEventListener(g[r],E);(m=f._createPlayer({options:t.hls,id:u})).loadSource(n),m.attachMedia(p)}}else p[e]=n}}(y[b]);if(i.default["__ready__"+u]=function(t){e.hlsPlayer=m=t;for(var r=Hls.Events,a=0,i=g.length;a<i;a++)!function(e){if("loadedmetadata"===e){var t=p.src;m.detachMedia(),m.loadSource(t),m.attachMedia(p)}p.addEventListener(e,E)}(g[a]);var o=void 0,s=void 0,u=function(t,r){if("hlsError"===t){if(console.warn(r),(r=r[1]).fatal){switch(r.type){case"mediaError":var a=(new Date).getTime();if(!o||a-o>3e3)o=(new Date).getTime(),m.recoverMediaError();else if(!s||a-s>3e3)s=(new Date).getTime(),console.warn("Attempting to swap Audio Codec and recover from media error"),m.swapAudioCodec(),m.recoverMediaError();else{var i="Cannot recover, last media error recovery failed";e.generateError(i,p.src),console.error(i)}break;case"networkError":if("manifestLoadError"===r.details)if(v<h&&void 0!==n[v+1])p.setSrc(n[v++].src),p.load(),p.play();else{e.generateError("Network error",n),console.error("Network error")}else{e.generateError("Network error",n),console.error("Network error")}break;default:m.destroy()}return}}else if("hlsManifestLoaded"==t){var u=(0,l.createEvent)("me-qualitiesavailable",e);e.dispatchEvent(u)}else if("hlsLevelSwitching"==t){var d=(0,l.createEvent)("me-qualitychange",e);e.dispatchEvent(d)}var c=(0,l.createEvent)(t,e);c.data=r,e.dispatchEvent(c)};for(var d in r)!function(e){r.hasOwnProperty(e)&&m.on(r[e],function(){for(var t=arguments.length,n=Array(t),a=0;a<t;a++)n[a]=arguments[a];return u(r[e],n)})}(d)},h>0)for(;v<h;v++)if(s.renderer.renderers[t.prefix].canPlayType(n[v].type)){p.setAttribute("src",n[v].src);break}"auto"===d||c||(p.addEventListener("play",function(){null!==m&&m.startLoad()}),p.addEventListener("pause",function(){null!==m&&m.stopLoad()})),p.setAttribute("id",u),r.parentNode.insertBefore(p,r),r.autoplay=!1,r.style.display="none",p.setSize=function(e,t){return p.style.width=e+"px",p.style.height=t+"px",p},p.hide=function(){return p.pause(),p.style.display="none",p},p.show=function(){return p.style.display="",p},p.destroy=function(){null!==m&&(m.stopLoad(),m.destroy())},p.getQualities=function(){for(var e=[],t=0,n=m.levels.length;t<n;t++){var r=m.levels[t];r.height&&e.push({label:r.height+"p",value:t.toString(),height:r.height})}return e.length<2?[]:(e.sort(function(e,t){return t.height-e.height}),e.push({label:"Auto",value:-1}),e)},p.getQuality=function(){return m.autoLevelEnabled?"-1":m.nextLoadLevel.toString()},p.setQuality=function(e){m.nextLevel=parseInt(e)};var _=(0,l.createEvent)("rendererready",p);return e.dispatchEvent(_),e.promises.push(f.load({options:t.hls,id:u})),p}};d.typeChecks.push(function(e){return~e.toLowerCase().indexOf(".m3u8")?"application/x-mpegURL":null}),s.renderer.add(m)},{14:14,15:15,16:16,17:17,3:3,6:6,7:7}],11:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(3)),i=r(e(2)),o=r(e(6)),s=e(7),l=e(16),u=e(14),d={name:"html5",options:{prefix:"html5"},canPlayType:function(e){var t=i.default.createElement("video");return u.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~["application/x-mpegurl","vnd.apple.mpegurl","audio/mpegurl","audio/hls","video/hls"].indexOf(e.toLowerCase())&&u.SUPPORTS_NATIVE_HLS?"yes":t.canPlayType?t.canPlayType(e.toLowerCase()).replace(/no/,""):""},create:function(e,t,n){var r=e.id+"_"+t.prefix,a=!1,u=null;void 0===e.originalNode||null===e.originalNode?(u=i.default.createElement("audio"),e.appendChild(u)):u=e.originalNode,u.setAttribute("id",r);for(var d=o.default.html5media.properties,c=0,f=d.length;c<f;c++)!function(e){var t=""+e.substring(0,1).toUpperCase()+e.substring(1);u["get"+t]=function(){return u[e]},u["set"+t]=function(t){-1===o.default.html5media.readOnlyProperties.indexOf(e)&&(u[e]=t)}}(d[c]);for(var m=o.default.html5media.events.concat(o.default.html5media.mouseEvents).filter(function(e){return"error"!==e}),p=0,v=m.length;p<v;p++)!function(t){u.addEventListener(t,function(t){if(a){var n=(0,l.createEvent)(t.type,t.target);e.dispatchEvent(n)}})}(m[p]);u.setSize=function(e,t){return u.style.width=e+"px",u.style.height=t+"px",u},u.hide=function(){return a=!1,u.style.display="none",u},u.show=function(){return a=!0,u.style.display="",u};var h=0,y=n.length;if(y>0)for(;h<y;h++)if(s.renderer.renderers[t.prefix].canPlayType(n[h].type)){u.setAttribute("src",n[h].src);break}u.addEventListener("error",function(t){t&&t.target&&t.target.error&&4===t.target.error.code&&a&&(h<y&&void 0!==n[h+1]?(u.src=n[h++].src,u.load(),u.play()):e.generateError("Media error: Format(s) not supported or source(s) not found",n))});var g=(0,l.createEvent)("rendererready",u);return e.dispatchEvent(g),u}};a.default.HtmlMediaElement=o.default.HtmlMediaElement=d,s.renderer.add(d)},{14:14,16:16,2:2,3:3,6:6,7:7}],12:[function(e,t,n){"use strict";var r={promise:null,load:function(e){"undefined"!=typeof Vimeo?r._createPlayer(e):(r.promise=r.promise||mejs.Utils.loadScript("https://player.vimeo.com/api/player.js"),r.promise.then(function(){r._createPlayer(e)}))},_createPlayer:function(e){var t=new Vimeo.Player(e.iframe);window["__ready__"+e.id](t)},getVimeoId:function(e){if(null==e)return null;var t=(e=e.split("?")[0]).match(/https:\/\/player.vimeo.com\/video\/(\d+)$/);if(t)return parseInt(t[1],10);var n=e.match(/https:\/\/vimeo.com\/(\d+)$/);if(n)return parseInt(n[1],10);var r=e.match(/https:\/\/vimeo.com\/(\d+)\/\w+$/);return r?parseInt(r[1],10):NaN}},a={name:"vimeo_iframe",options:{prefix:"vimeo_iframe"},canPlayType:function(e){return~["video/vimeo","video/x-vimeo"].indexOf(e.toLowerCase())},create:function(e,t,n){var a=[],i={},o=!0,s=1,l=s,u=0,d=0,c=!1,f=0,m=null,p="";i.options=t,i.id=e.id+"_"+t.prefix,i.mediaElement=e;for(var v=function(t){e.generateError("Code "+t.name+": "+t.message,n)},h=mejs.html5media.properties,y=0,g=h.length;y<g;y++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);i["get"+n]=function(){if(null!==m){switch(t){case"currentTime":return u;case"duration":return f;case"volume":return s;case"muted":return 0===s;case"paused":return o;case"ended":return c;case"src":return m.getVideoUrl().then(function(e){p=e}).catch(function(e){return v(e)}),p;case"buffered":return{start:function(){return 0},end:function(){return d*f},length:1};case"readyState":return 4}return null}return null},i["set"+n]=function(n){if(null!==m)switch(t){case"src":var o="string"==typeof n?n:n[0].src,d=r.getVimeoId(o);m.loadVideo(d).then(function(){e.originalNode.autoplay&&m.play()}).catch(function(e){return v(e)});break;case"currentTime":m.setCurrentTime(n).then(function(){u=n,setTimeout(function(){var t=mejs.Utils.createEvent("timeupdate",i);e.dispatchEvent(t)},50)}).catch(function(e){return v(e)});break;case"volume":m.setVolume(n).then(function(){l=s=n,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",i);e.dispatchEvent(t)},50)}).catch(function(e){return v(e)});break;case"loop":m.setLoop(n).catch(function(e){return v(e)});break;case"muted":n?m.setVolume(0).then(function(){s=0,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",i);e.dispatchEvent(t)},50)}).catch(function(e){return v(e)}):m.setVolume(l).then(function(){s=l,setTimeout(function(){var t=mejs.Utils.createEvent("volumechange",i);e.dispatchEvent(t)},50)}).catch(function(e){return v(e)});break;case"readyState":var c=mejs.Utils.createEvent("canplay",i);e.dispatchEvent(c)}else a.push({type:"set",propName:t,value:n})}}(h[y]);for(var E=mejs.html5media.methods,b=0,w=E.length;b<w;b++)!function(e){i[e]=function(){if(null!==m)switch(e){case"play":return o=!1,m.play();case"pause":return o=!0,m.pause();case"load":return null}else a.push({type:"call",methodName:e})}}(E[b]);window["__ready__"+i.id]=function(t){if(e.vimeoPlayer=m=t,a.length)for(var n=0,r=a.length;n<r;n++){var l=a[n];if("set"===l.type){var p=l.propName,h=""+p.substring(0,1).toUpperCase()+p.substring(1);i["set"+h](l.value)}else"call"===l.type&&i[l.methodName]()}e.originalNode.muted&&(m.setVolume(0),s=0);for(var y=document.getElementById(i.id),g=void 0,E=0,b=(g=["mouseover","mouseout"]).length;E<b;E++)y.addEventListener(g[E],function(t){var n=mejs.Utils.createEvent(t.type,i);e.dispatchEvent(n)},!1);m.on("loaded",function(){m.getDuration().then(function(t){if((f=t)>0&&(d=f*t,e.originalNode.autoplay)){o=!1,c=!1;var n=mejs.Utils.createEvent("play",i);e.dispatchEvent(n)}for(var r=0,a=(g=["loadedmetadata","durationchange","loadeddata","canplay"]).length;r<a;r++){var s=mejs.Utils.createEvent(g[r],i);e.dispatchEvent(s)}}).catch(function(e){v(e)})}),m.on("progress",function(){m.getDuration().then(function(t){if(t!=f){f=t;var n=mejs.Utils.createEvent("durationchange",i);e.dispatchEvent(n)}if(f>0&&(d=f*t,e.originalNode.autoplay)){var r=mejs.Utils.createEvent("play",i);e.dispatchEvent(r);var a=mejs.Utils.createEvent("playing",i);e.dispatchEvent(a)}var o=mejs.Utils.createEvent("progress",i);e.dispatchEvent(o)}).catch(function(e){return v(e)})}),m.on("timeupdate",function(){m.getCurrentTime().then(function(t){u=t;var n=mejs.Utils.createEvent("timeupdate",i);e.dispatchEvent(n)}).catch(function(e){return v(e)})}),m.on("play",function(){o=!1,c=!1;var t=mejs.Utils.createEvent("play",i);e.dispatchEvent(t);var n=mejs.Utils.createEvent("playing",i);e.dispatchEvent(n)}),m.on("pause",function(){o=!0,c=!1;var t=mejs.Utils.createEvent("pause",i);e.dispatchEvent(t)}),m.on("ended",function(){o=!1,c=!0;var t=mejs.Utils.createEvent("ended",i);e.dispatchEvent(t)});var w=mejs.Utils.createEvent("rendererready",i);e.dispatchEvent(w)};var _=e.originalNode.height,S=e.originalNode.width,N=document.createElement("iframe"),T="https://player.vimeo.com/video/"+r.getVimeoId(n[0].src),A=~n[0].src.indexOf("?")?"?"+n[0].src.slice(n[0].src.indexOf("?")+1):"",F=[];return e.originalNode.autoplay&&-1===A.indexOf("autoplay")&&F.push("autoplay=1"),e.originalNode.loop&&-1===A.indexOf("loop")&&F.push("loop=1"),A=A+(A?"&":"?")+F.join("&"),N.setAttribute("id",i.id),N.setAttribute("width",S),N.setAttribute("height",_),N.setAttribute("frameBorder","0"),N.setAttribute("src",""+T+A),N.setAttribute("webkitallowfullscreen","true"),N.setAttribute("mozallowfullscreen","true"),N.setAttribute("allowfullscreen","true"),N.setAttribute("allow","autoplay"),e.originalNode.parentNode.insertBefore(N,e.originalNode),e.originalNode.style.display="none",r.load({iframe:N,id:i.id}),i.hide=function(){i.pause(),m&&(N.style.display="none")},i.setSize=function(e,t){N.setAttribute("width",e),N.setAttribute("height",t)},i.show=function(){m&&(N.style.display="")},i.destroy=function(){},i}};mejs.Utils.typeChecks.push(function(e){return/(\/\/player\.vimeo|vimeo\.com)/i.test(e)?"video/x-vimeo":null}),mejs.Renderers.add(a)},{}],13:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(3)),i=r(e(2)),o=r(e(6)),s=e(7),l=e(16),u=e(17),d=e(15),c={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){c.isLoaded="undefined"!=typeof YT&&YT.loaded,c.isLoaded?c.createIframe(e):(c.loadIframeApi(),c.iframeQueue.push(e))},loadIframeApi:function(){c.isIframeStarted||((0,d.loadScript)("https://www.youtube.com/player_api"),c.isIframeStarted=!0)},iFrameReady:function(){for(c.isLoaded=!0,c.isIframeLoaded=!0;c.iframeQueue.length>0;){var e=c.iframeQueue.pop();c.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t="";return e.indexOf("?")>0?""===(t=c.getYouTubeIdFromParam(e))&&(t=c.getYouTubeIdFromUrl(e)):t=c.getYouTubeIdFromUrl(e),(t=t.substring(t.lastIndexOf("/")+1).split("?"))[0]},getYouTubeIdFromParam:function(e){if(void 0===e||null===e||!e.trim().length)return null;for(var t=e.split("?")[1].split("&"),n="",r=0,a=t.length;r<a;r++){var i=t[r].split("=");if("v"===i[0]){n=i[1];break}}return n},getYouTubeIdFromUrl:function(e){return void 0!==e&&null!==e&&e.trim().length?(e=e.split("?")[0]).substring(e.lastIndexOf("/")+1):null},getYouTubeNoCookieUrl:function(e){if(void 0===e||null===e||!e.trim().length||-1===e.indexOf("//www.youtube"))return e;var t=e.split("/");return t[2]=t[2].replace(".com","-nocookie.com"),t.join("/")}},f={name:"youtube_iframe",options:{prefix:"youtube_iframe",youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1,imageQuality:null}},canPlayType:function(e){return~["video/youtube","video/x-youtube"].indexOf(e.toLowerCase())},create:function(e,t,n){var r={},s=[],u=null,d=!0,f=!1,m=null,p=1;r.options=t,r.id=e.id+"_"+t.prefix,r.mediaElement=e;for(var v=o.default.html5media.properties,h=0,y=v.length;h<y;h++)!function(t){var n=""+t.substring(0,1).toUpperCase()+t.substring(1);r["get"+n]=function(){if(null!==u){switch(t){case"currentTime":return u.getCurrentTime();case"duration":return u.getDuration();case"volume":return p=u.getVolume()/100;case"playbackRate":return u.getPlaybackRate();case"paused":return d;case"ended":return f;case"muted":return u.isMuted();case"buffered":var e=u.getVideoLoadedFraction(),n=u.getDuration();return{start:function(){return 0},end:function(){return e*n},length:1};case"src":return u.getVideoUrl();case"readyState":return 0}return null}return null},r["set"+n]=function(n){if(null!==u)switch(t){case"src":var a="string"==typeof n?n:n[0].src,i=c.getYouTubeId(a);e.originalNode.autoplay?u.loadVideoById(i):u.cueVideoById(i);break;case"currentTime":u.seekTo(n);break;case"muted":n?u.mute():u.unMute(),setTimeout(function(){var t=(0,l.createEvent)("volumechange",r);e.dispatchEvent(t)},50);break;case"volume":p=n,u.setVolume(100*n),setTimeout(function(){var t=(0,l.createEvent)("volumechange",r);e.dispatchEvent(t)},50);break;case"playbackRate":u.setPlaybackRate(n),setTimeout(function(){var t=(0,l.createEvent)("ratechange",r);e.dispatchEvent(t)},50);break;case"readyState":var o=(0,l.createEvent)("canplay",r);e.dispatchEvent(o)}else s.push({type:"set",propName:t,value:n})}}(v[h]);for(var g=o.default.html5media.methods,E=0,b=g.length;E<b;E++)!function(e){r[e]=function(){if(null!==u)switch(e){case"play":return d=!1,u.playVideo();case"pause":return d=!0,u.pauseVideo();case"load":return null}else s.push({type:"call",methodName:e})}}(g[E]);var w=function(t){var r="";switch(t.data){case 2:r="The request contains an invalid parameter value. Verify that video ID has 11 characters and that contains no invalid characters, such as exclamation points or asterisks.";break;case 5:r="The requested content cannot be played in an HTML5 player or another error related to the HTML5 player has occurred.";break;case 100:r="The video requested was not found. Either video has been removed or has been marked as private.";break;case 101:case 105:r="The owner of the requested video does not allow it to be played in embedded players.";break;default:r="Unknown error."}e.generateError("Code "+t.data+": "+r,n)},_=i.default.createElement("div");_.id=r.id,r.options.youtube.nocookie&&(e.originalNode.src=c.getYouTubeNoCookieUrl(n[0].src)),e.originalNode.parentNode.insertBefore(_,e.originalNode),e.originalNode.style.display="none";var S="audio"===e.originalNode.tagName.toLowerCase(),N=S?"1":e.originalNode.height,T=S?"1":e.originalNode.width,A=c.getYouTubeId(n[0].src),F={id:r.id,containerId:_.id,videoId:A,height:N,width:T,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,iv_load_policy:3},r.options.youtube),origin:a.default.location.href,events:{onReady:function(t){if(e.youTubeApi=u=t.target,e.youTubeState={paused:!0,ended:!1},s.length)for(var n=0,a=s.length;n<a;n++){var i=s[n];if("set"===i.type){var o=i.propName,d=""+o.substring(0,1).toUpperCase()+o.substring(1);r["set"+d](i.value)}else"call"===i.type&&r[i.methodName]()}m=u.getIframe(),e.originalNode.muted&&u.mute();for(var c=["mouseover","mouseout"],f=0,p=c.length;f<p;f++)m.addEventListener(c[f],function(t){var n=(0,l.createEvent)(t.type,r);e.dispatchEvent(n)},!1);for(var v=["rendererready","durationchange","resize","loadedmetadata","loadeddata","canplay"],h=0,y=v.length;h<y;h++){var g=(0,l.createEvent)(v[h],r);e.dispatchEvent(g)}},onStateChange:function(t){var n=[];switch(t.data){case-1:n=["loadedmetadata"],d=!0,f=!1;break;case 0:n=["ended"],d=!1,f=!r.options.youtube.loop,r.options.youtube.loop||r.stopInterval();break;case 1:n=["play","playing","me-qualitiesavailable"],d=!1,f=!1,r.startInterval();break;case 2:n=["pause"],d=!0,f=!1,r.stopInterval();break;case 3:n=["progress"],f=!1;break;case 5:n=["loadeddata","loadedmetadata","canplay"],d=!0,f=!1}for(var a=0,i=n.length;a<i;a++){var o=(0,l.createEvent)(n[a],r);e.dispatchEvent(o)}},onPlaybackQualityChange:function(){var t=(0,l.createEvent)("me-qualitychange",r);e.dispatchEvent(t)},onError:function(e){return w(e)}}};return(S||e.originalNode.hasAttribute("playsinline"))&&(F.playerVars.playsinline=1),e.originalNode.controls&&(F.playerVars.controls=1),e.originalNode.autoplay&&(F.playerVars.autoplay=1),e.originalNode.loop&&(F.playerVars.loop=1),(F.playerVars.loop&&1===parseInt(F.playerVars.loop,10)||e.originalNode.src.indexOf("loop=")>-1)&&!F.playerVars.playlist&&-1===e.originalNode.src.indexOf("playlist=")&&(F.playerVars.playlist=c.getYouTubeId(e.originalNode.src)),c.enqueueIframe(F),r.onEvent=function(t,n,r){null!==r&&void 0!==r&&(e.youTubeState=r)},r.setSize=function(e,t){null!==u&&u.setSize(e,t)},r.hide=function(){r.stopInterval(),r.pause(),m&&(m.style.display="none")},r.show=function(){m&&(m.style.display="")},r.destroy=function(){u.destroy()},r.interval=null,r.startInterval=function(){r.interval=setInterval(function(){var t=(0,l.createEvent)("timeupdate",r);e.dispatchEvent(t)},250)},r.stopInterval=function(){r.interval&&clearInterval(r.interval)},r.getPosterUrl=function(){var n=t.youtube.imageQuality,r=["default","hqdefault","mqdefault","sddefault","maxresdefault"],a=c.getYouTubeId(e.originalNode.src);return n&&r.indexOf(n)>-1&&a?"https://img.youtube.com/vi/"+a+"/"+n+".jpg":""},r.getQualities=function(){var e=[],t=u.getAvailableQualityLevels();t.length;for(var n=0;n<t.length;n++){var r=t[n],a=null;"hd2160"==r?a="2160p":"hd1440"==r?a="1440p":"hd1080"==r?a="1080p":"hd720"==r?a="720p":"large"==r?a="480p":"medium"==r?a="360p":"small"==r?a="240p":"tiny"==r?a="144p":"auto"==r&&(a="Auto"),a&&e.push({label:a,value:r})}return e},r.getQuality=function(){return u.getPlaybackQuality()},r.setQuality=function(e){u.setPlaybackQuality(e)},r}};a.default.onYouTubePlayerAPIReady=function(){c.iFrameReady()},u.typeChecks.push(function(e){return/\/\/(www\.youtube|youtu\.?be)/i.test(e)?"video/x-youtube":null}),s.renderer.add(f)},{15:15,16:16,17:17,2:2,3:3,6:6,7:7}],14:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}Object.defineProperty(n,"__esModule",{value:!0}),n.cancelFullScreen=n.requestFullScreen=n.isFullScreen=n.FULLSCREEN_EVENT_NAME=n.HAS_NATIVE_FULLSCREEN_ENABLED=n.HAS_TRUE_NATIVE_FULLSCREEN=n.HAS_IOS_FULLSCREEN=n.HAS_MS_NATIVE_FULLSCREEN=n.HAS_MOZ_NATIVE_FULLSCREEN=n.HAS_WEBKIT_NATIVE_FULLSCREEN=n.HAS_NATIVE_FULLSCREEN=n.SUPPORTS_NATIVE_HLS=n.SUPPORT_PASSIVE_EVENT=n.SUPPORT_POINTER_EVENTS=n.HAS_MSE=n.IS_STOCK_ANDROID=n.IS_SAFARI=n.IS_FIREFOX=n.IS_CHROME=n.IS_EDGE=n.IS_IE=n.IS_ANDROID=n.IS_IOS=n.IS_IPOD=n.IS_IPHONE=n.IS_IPAD=n.UA=n.NAV=void 0;for(var a=r(e(3)),i=r(e(2)),o=r(e(6)),s=n.NAV=a.default.navigator,l=n.UA=s.userAgent.toLowerCase(),u=n.IS_IPAD=/ipad/i.test(l)&&!a.default.MSStream,d=n.IS_IPHONE=/iphone/i.test(l)&&!a.default.MSStream,c=n.IS_IPOD=/ipod/i.test(l)&&!a.default.MSStream,f=(n.IS_IOS=/ipad|iphone|ipod/i.test(l)&&!a.default.MSStream,n.IS_ANDROID=/android/i.test(l)),m=n.IS_IE=/(trident|microsoft)/i.test(s.appName),p=(n.IS_EDGE="msLaunchUri"in s&&!("documentMode"in i.default)),v=n.IS_CHROME=/chrome/i.test(l),h=n.IS_FIREFOX=/firefox/i.test(l),y=n.IS_SAFARI=/safari/i.test(l)&&!v,g=n.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(l),E=(n.HAS_MSE="MediaSource"in a.default),b=n.SUPPORT_POINTER_EVENTS=!0,w=n.SUPPORT_PASSIVE_EVENT=function(){var e=!1;try{var t=Object.defineProperty({},"passive",{get:function(){e=!0}});a.default.addEventListener("test",null,t)}catch(e){}return e}(),_=["source","track","audio","video"],S=void 0,N=0,T=_.length;N<T;N++)S=i.default.createElement(_[N]);var A=n.SUPPORTS_NATIVE_HLS=y||m&&/edge/i.test(l),F=void 0!==S.webkitEnterFullscreen,I=void 0!==S.requestFullscreen;F&&/mac os x 10_5/i.test(l)&&(I=!1,F=!1);var L=void 0!==S.webkitRequestFullScreen,U=void 0!==S.mozRequestFullScreen,j=void 0!==S.msRequestFullscreen,O=L||U||j,P=O,C="",x=void 0,k=void 0,M=void 0;U?P=i.default.mozFullScreenEnabled:j&&(P=i.default.msFullscreenEnabled),v&&(F=!1),O&&(L?C="webkitfullscreenchange":U?C="fullscreenchange":j&&(C="MSFullscreenChange"),n.isFullScreen=x=function(){return U?i.default.mozFullScreen:L?i.default.webkitIsFullScreen:j?null!==i.default.msFullscreenElement:void 0},n.requestFullScreen=k=function(e){L?e.webkitRequestFullScreen():U?e.mozRequestFullScreen():j&&e.msRequestFullscreen()},n.cancelFullScreen=M=function(){L?i.default.webkitCancelFullScreen():U?i.default.mozCancelFullScreen():j&&i.default.msExitFullscreen()});var R=n.HAS_NATIVE_FULLSCREEN=I,V=n.HAS_WEBKIT_NATIVE_FULLSCREEN=L,q=n.HAS_MOZ_NATIVE_FULLSCREEN=U,D=n.HAS_MS_NATIVE_FULLSCREEN=j,H=n.HAS_IOS_FULLSCREEN=F,z=n.HAS_TRUE_NATIVE_FULLSCREEN=O,Q=n.HAS_NATIVE_FULLSCREEN_ENABLED=P,B=n.FULLSCREEN_EVENT_NAME=C;n.isFullScreen=x,n.requestFullScreen=k,n.cancelFullScreen=M,o.default.Features=o.default.Features||{},o.default.Features.isiPad=u,o.default.Features.isiPod=c,o.default.Features.isiPhone=d,o.default.Features.isiOS=o.default.Features.isiPhone||o.default.Features.isiPad,o.default.Features.isAndroid=f,o.default.Features.isIE=m,o.default.Features.isEdge=p,o.default.Features.isChrome=v,o.default.Features.isFirefox=h,o.default.Features.isSafari=y,o.default.Features.isStockAndroid=g,o.default.Features.hasMSE=E,o.default.Features.supportsNativeHLS=A,o.default.Features.supportsPointerEvents=b,o.default.Features.supportsPassiveEvent=w,o.default.Features.hasiOSFullScreen=H,o.default.Features.hasNativeFullscreen=R,o.default.Features.hasWebkitNativeFullScreen=V,o.default.Features.hasMozNativeFullScreen=q,o.default.Features.hasMsNativeFullScreen=D,o.default.Features.hasTrueNativeFullScreen=z,o.default.Features.nativeFullScreenEnabled=Q,o.default.Features.fullScreenEventName=B,o.default.Features.isFullScreen=x,o.default.Features.requestFullScreen=k,o.default.Features.cancelFullScreen=M},{2:2,3:3,6:6}],15:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}function a(e){return new Promise(function(t,n){var r=m.default.createElement("script");r.src=e,r.async=!0,r.onload=function(){r.remove(),t()},r.onerror=function(){r.remove(),n()},m.default.head.appendChild(r)})}function i(e){var t=e.getBoundingClientRect(),n=f.default.pageXOffset||m.default.documentElement.scrollLeft,r=f.default.pageYOffset||m.default.documentElement.scrollTop;return{top:t.top+r,left:t.left+n}}function o(e,t){g(e,t)?b(e,t):E(e,t)}function s(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:400,n=arguments[2];e.style.opacity||(e.style.opacity=1);var r=null;f.default.requestAnimationFrame(function a(i){var o=i-(r=r||i),s=parseFloat(1-o/t,2);e.style.opacity=s<0?0:s,o>t?n&&"function"==typeof n&&n():f.default.requestAnimationFrame(a)})}function l(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:400,n=arguments[2];e.style.opacity||(e.style.opacity=0);var r=null;f.default.requestAnimationFrame(function a(i){var o=i-(r=r||i),s=parseFloat(o/t,2);e.style.opacity=s>1?1:s,o>t?n&&"function"==typeof n&&n():f.default.requestAnimationFrame(a)})}function u(e,t){var n=[];e=e.parentNode.firstChild;do{t&&!t(e)||n.push(e)}while(e=e.nextSibling);return n}function d(e){return void 0!==e.getClientRects&&"function"===e.getClientRects?!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length):!(!e.offsetWidth&&!e.offsetHeight)}function c(e,t,n,r){var a=f.default.XMLHttpRequest?new XMLHttpRequest:new ActiveXObject("Microsoft.XMLHTTP"),i="application/x-www-form-urlencoded; charset=UTF-8",o=!1,s="*/".concat("*");switch(t){case"text":i="text/plain";break;case"json":i="application/json, text/javascript";break;case"html":i="text/html";break;case"xml":i="application/xml, text/xml"}"application/x-www-form-urlencoded"!==i&&(s=i+", */*; q=0.01"),a&&(a.open("GET",e,!0),a.setRequestHeader("Accept",s),a.onreadystatechange=function(){if(!o&&4===a.readyState)if(200===a.status){o=!0;var e=void 0;switch(t){case"json":e=JSON.parse(a.responseText);break;case"xml":e=a.responseXML;break;default:e=a.responseText}n(e)}else"function"==typeof r&&r(a.status)},a.send())}Object.defineProperty(n,"__esModule",{value:!0}),n.removeClass=n.addClass=n.hasClass=void 0,n.loadScript=a,n.offset=i,n.toggleClass=o,n.fadeOut=s,n.fadeIn=l,n.siblings=u,n.visible=d,n.ajax=c;var f=r(e(3)),m=r(e(2)),p=r(e(6)),v=void 0,h=void 0,y=void 0;"classList"in m.default.documentElement?(v=function(e,t){return void 0!==e.classList&&e.classList.contains(t)},h=function(e,t){return e.classList.add(t)},y=function(e,t){return e.classList.remove(t)}):(v=function(e,t){return new RegExp("\\b"+t+"\\b").test(e.className)},h=function(e,t){g(e,t)||(e.className+=" "+t)},y=function(e,t){e.className=e.className.replace(new RegExp("\\b"+t+"\\b","g"),"")});var g=n.hasClass=v,E=n.addClass=h,b=n.removeClass=y;p.default.Utils=p.default.Utils||{},p.default.Utils.offset=i,p.default.Utils.hasClass=g,p.default.Utils.addClass=E,p.default.Utils.removeClass=b,p.default.Utils.toggleClass=o,p.default.Utils.fadeIn=l,p.default.Utils.fadeOut=s,p.default.Utils.siblings=u,p.default.Utils.visible=d,p.default.Utils.ajax=c,p.default.Utils.loadScript=a},{2:2,3:3,6:6}],16:[function(e,t,n){"use strict";function r(e){if("string"!=typeof e)throw new Error("Argument passed must be a string");var t={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;"};return e.replace(/[&<>"]/g,function(e){return t[e]})}function a(e,t){var n=this,r=arguments,a=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if("function"!=typeof e)throw new Error("First argument must be a function");if("number"!=typeof t)throw new Error("Second argument must be a numeric value");var i=void 0;return function(){var o=n,s=r,l=a&&!i;clearTimeout(i),i=setTimeout(function(){i=null,a||e.apply(o,s)},t),l&&e.apply(o,s)}}function i(e){return Object.getOwnPropertyNames(e).length<=0}function o(e,t){var n=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,r={d:[],w:[]};return(e||"").split(" ").forEach(function(e){var a=e+(t?"."+t:"");a.startsWith(".")?(r.d.push(a),r.w.push(a)):r[n.test(e)?"w":"d"].push(a)}),r.d=r.d.join(" "),r.w=r.w.join(" "),r}function s(e,t){if("string"!=typeof e)throw new Error("Event name must be a string");var n=e.match(/([a-z]+\.([a-z]+))/i),r={target:t};return null!==n&&(e=n[1],r.namespace=n[2]),new window.CustomEvent(e,{detail:r})}function l(e,t){return!!(e&&t&&2&e.compareDocumentPosition(t))}function u(e){return"string"==typeof e}Object.defineProperty(n,"__esModule",{value:!0}),n.escapeHTML=r,n.debounce=a,n.isObjectEmpty=i,n.splitEvents=o,n.createEvent=s,n.isNodeAfter=l,n.isString=u;var d=function(e){return e&&e.__esModule?e:{default:e}}(e(6));d.default.Utils=d.default.Utils||{},d.default.Utils.escapeHTML=r,d.default.Utils.debounce=a,d.default.Utils.isObjectEmpty=i,d.default.Utils.splitEvents=o,d.default.Utils.createEvent=s,d.default.Utils.isNodeAfter=l,d.default.Utils.isString=u},{6:6}],17:[function(e,t,n){"use strict";function r(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=document.createElement("div");return t.innerHTML='<a href="'+(0,d.escapeHTML)(e)+'">x</a>',t.firstChild.href}function a(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";return e&&!t?o(e):t}function i(e){if("string"!=typeof e)throw new Error("`type` argument must be a string");return e&&e.indexOf(";")>-1?e.substr(0,e.indexOf(";")):e}function o(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");for(var t=0,n=c.length;t<n;t++){var r=c[t](e);if(r)return r}var a=l(s(e)),i="video/mp4";return a&&(~["mp4","m4v","ogg","ogv","webm","flv","mpeg","mov"].indexOf(a)?i="video/"+a:~["mp3","oga","wav","mid","midi"].indexOf(a)&&(i="audio/"+a)),i}function s(e){if("string"!=typeof e)throw new Error("`url` argument must be a string");var t=e.split("?")[0].split("\\").pop().split("/").pop();return~t.indexOf(".")?t.substring(t.lastIndexOf(".")+1):""}function l(e){if("string"!=typeof e)throw new Error("`extension` argument must be a string");switch(e){case"mp4":case"m4v":return"mp4";case"webm":case"webma":case"webmv":return"webm";case"ogg":case"oga":case"ogv":return"ogg";default:return e}}Object.defineProperty(n,"__esModule",{value:!0}),n.typeChecks=void 0,n.absolutizeUrl=r,n.formatType=a,n.getMimeFromType=i,n.getTypeFromFile=o,n.getExtension=s,n.normalizeExtension=l;var u=function(e){return e&&e.__esModule?e:{default:e}}(e(6)),d=e(16),c=n.typeChecks=[];u.default.Utils=u.default.Utils||{},u.default.Utils.typeChecks=c,u.default.Utils.absolutizeUrl=r,u.default.Utils.formatType=a,u.default.Utils.getMimeFromType=i,u.default.Utils.getTypeFromFile=o,u.default.Utils.getExtension=s,u.default.Utils.normalizeExtension=l},{16:16,6:6}],18:[function(e,t,n){"use strict";function r(e){return e&&e.__esModule?e:{default:e}}var a=r(e(2)),i=r(e(4));if([Element.prototype,CharacterData.prototype,DocumentType.prototype].forEach(function(e){e.hasOwnProperty("remove")||Object.defineProperty(e,"remove",{configurable:!0,enumerable:!0,writable:!0,value:function(){this.parentNode.removeChild(this)}})}),function(){function e(e,t){t=t||{bubbles:!1,cancelable:!1,detail:void 0};var n=a.default.createEvent("CustomEvent");return n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail),n}if("function"==typeof window.CustomEvent)return!1;e.prototype=window.Event.prototype,window.CustomEvent=e}(),"function"!=typeof Object.assign&&(Object.assign=function(e){if(null===e||void 0===e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),n=1,r=arguments.length;n<r;n++){var a=arguments[n];if(null!==a)for(var i in a)Object.prototype.hasOwnProperty.call(a,i)&&(t[i]=a[i])}return t}),String.prototype.startsWith||(String.prototype.startsWith=function(e,t){return t=t||0,this.substr(t,e.length)===e}),Element.prototype.matches||(Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){for(var t=(this.document||this.ownerDocument).querySelectorAll(e),n=t.length-1;--n>=0&&t.item(n)!==this;);return n>-1}),window.Element&&!Element.prototype.closest&&(Element.prototype.closest=function(e){var t=(this.document||this.ownerDocument).querySelectorAll(e),n=void 0,r=this;do{for(n=t.length;--n>=0&&t.item(n)!==r;);}while(n<0&&(r=r.parentElement));return r}),function(){for(var e=0,t=["ms","moz","webkit","o"],n=0;n<t.length&&!window.requestAnimationFrame;++n)window.requestAnimationFrame=window[t[n]+"RequestAnimationFrame"],window.cancelAnimationFrame=window[t[n]+"CancelAnimationFrame"]||window[t[n]+"CancelRequestAnimationFrame"];window.requestAnimationFrame||(window.requestAnimationFrame=function(t){var n=(new Date).getTime(),r=Math.max(0,16-(n-e)),a=window.setTimeout(function(){t(n+r)},r);return e=n+r,a}),window.cancelAnimationFrame||(window.cancelAnimationFrame=function(e){clearTimeout(e)})}(),/firefox/i.test(navigator.userAgent)){var o=window.getComputedStyle;window.getComputedStyle=function(e,t){var n=o(e,t);return null===n?{getPropertyValue:function(){}}:n}}window.Promise||(window.Promise=i.default),function(e){e&&e.prototype&&null===e.prototype.children&&Object.defineProperty(e.prototype,"children",{get:function(){for(var e=0,t=void 0,n=this.childNodes,r=[];t=n[e++];)1===t.nodeType&&r.push(t);return r}})}(window.Node||window.Element)},{2:2,4:4}]},{},[18,5,11,13,8,12,9,10]);